import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { customTask } from 'src/app/models/dailyworktask.model';

@Component({
  selector: 'app-task-list',
  templateUrl: './task-list.page.html',
  styleUrls: ['./task-list.page.scss'],
})
export class TaskListPage implements OnInit {

  @Input() taskList: customTask[] = [];
  @Input() skeletonLoader: boolean = false
  @Output() viewTaskDetail = new EventEmitter<customTask>();
  
  constructor() {
    console.log('taskList', this.taskList)
  }

  ngOnInit() {}

}
